Bug 111668 - screen goes black and loses sync after about 10-15 minutes
Summary: screen goes black and loses sync after about 10-15 minutes
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-12 07:36 UTC by Robert Dinse
Modified: 2019-09-28 11:15 UTC (History)
2 users (show)

See Also:
i915 platform: CFL
i915 features: display/Other


Attachments
dmesg (63.37 KB, text/plain)
2019-09-12 09:05 UTC, Robert Dinse
no flags Details
kern.log (178.95 KB, text/x-log)
2019-09-12 09:07 UTC, Robert Dinse
no flags Details
This is with debug enabled from boot until when the screen blanks dmesg (139.60 KB, text/plain)
2019-09-16 21:51 UTC, Robert Dinse
no flags Details
Dmesg out, Debug enabled, kernel from https://cgit.freedesktop.org/drm-tip (169.78 KB, text/plain)
2019-09-17 23:56 UTC, Robert Dinse
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Dinse 2019-09-12 07:36:45 UTC
I desire to turn the power management feature of the i915 driver off so that I can watch videos or movies uninterrupted.  I have a home brew PC consisting of
an Asus Z390A Prime motherboard, an I7-9700K CPU with integrated graphics, and am using the on board graphics.  I am presently running a self compiled kernel from
kernel.org, version 5.2.13, but I have also experienced the same problem with the 5.00 kernel shipped with Ubuntu 19.04.

     Even with all screen savers and screen blankers not only turned off but removed entirely from the system, the screen will still go black and lose sync after about 10-15 minutes even when video is playing.

     I have RC6 power management disabled in the BIOS, I attempted to disable it
in the kernel by adding options i915 enable_rc6=0 to /etc/modprobe.d/i915.conf and regenerating initramfs with update-initramfs -u -k all and when that failed
to have effect I tried adding i915.i915_enable_rc6=0 to the GRUB_CMDLINE_LINUX_DEFAULT in /etc/default/grub and update-grub, still not effective.

     When I boot I see:

     [    1.259045] i915: unknown parameter 'enable_rc6' ignored

     Before compiling an upstream kernel and determining the problem was not specific to Ubuntu, I filed a bug report on launcpad.net: #1843511
Comment 1 Jani Nikula 2019-09-12 08:03:42 UTC
i915.enable_rc6 was a debug and development option, never meant for normal use. In most cases where it presumably helped, its effects were so widespread that it was near impossible to pinpoint what the actual functional impact was that helped.

The enable_rc6 option is not coming back.

So please let's rather focus on the bug you experience, i.e. screen going black and losing sync.

Please add drm.debug=14 module parameter, and likely something like log_buf_len=4M or similar. Attach full dmesg from boot to the bug. Please also reproduce the problem, and attach the dmesg after that. (I suspect we need the two; I don't think it's likely the latter will include the info logged at boot anymore with all the debugging enabled.)
Comment 2 Jani Nikula 2019-09-12 08:06:47 UTC
Oh, did i915.enable_rc6 actually help when we did support the option? Or is it just your assumption that it would help?

Also, have you always experienced the problem, regardless of the enable_rc6 option, or is it new to some kernel version?
Comment 3 Robert Dinse 2019-09-12 08:12:33 UTC
      There were three different references saying that it did but all of them
involved kernel versions 4.16 or earlier.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Thu, 12 Sep 2019, bugzilla-daemon@freedesktop.org wrote:

> Date: Thu, 12 Sep 2019 08:06:47 +0000
> From: bugzilla-daemon@freedesktop.org
> To: nanook@eskimo.com
> Subject: [Bug 111668] screen goes black and loses sync after about 10-15
>     minutes
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
> --- Comment #2 from Jani Nikula <jani.nikula@intel.com> ---
> Oh, did i915.enable_rc6 actually help when we did support the option? Or is it
> just your assumption that it would help?
>
> Also, have you always experienced the problem, regardless of the enable_rc6
> option, or is it new to some kernel version?
>
> -- 
> You are receiving this mail because:
> You reported the bug.
Comment 4 Robert Dinse 2019-09-12 08:14:33 UTC
On Thu, September 12, 2019 1:04 am, bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
>
> Jani Nikula <jani.nikula@intel.com> changed:
>
>
> What    |Removed                     |Added
> --------------------------------------------------------------------------
> --
> Summary|i915 enable_rc6=0 not       |screen goes black and loses
> |respected                   |sync after about 10-15
> |                            |minutes
>
>
> --
> You are receiving this mail because:
> You reported the bug.

     Ok, I reported the enable_rc6 not being respected BECAUSE I found at
least three different references online all suggesting setting this to zero
would solve my issue AND my BIOS also referred to it as RC6 power management.
Comment 5 Lakshmi 2019-09-12 08:30:52 UTC
(In reply to Robert Dinse from comment #4)
> On Thu, September 12, 2019 1:04 am, bugzilla-daemon@freedesktop.org wrote:
> > https://bugs.freedesktop.org/show_bug.cgi?id=111668
> >
> >
> > Jani Nikula <jani.nikula@intel.com> changed:
> >
> >
> > What    |Removed                     |Added
> > --------------------------------------------------------------------------
> > --
> > Summary|i915 enable_rc6=0 not       |screen goes black and loses
> > |respected                   |sync after about 10-15
> > |                            |minutes
> >
> >
> > --
> > You are receiving this mail because:
> > You reported the bug.
> 
>      Ok, I reported the enable_rc6 not being respected BECAUSE I found at
> least three different references online all suggesting setting this to zero
> would solve my issue AND my BIOS also referred to it as RC6 power management.

Can you please attach the logs as suggested by Jani in Comment 1.
Comment 6 Robert Dinse 2019-09-12 09:05:52 UTC
Created attachment 145336 [details]
dmesg

     You asked for dmesg but no debug messages showed up there, but they did show up in kern.log.  Also from the time it booted until it blanked the screen, no additional messages were added to dmesg, this is all there is.
Comment 7 Robert Dinse 2019-09-12 09:07:25 UTC
Created attachment 145337 [details]
kern.log

Kern.log did contain debug info so I've attached it.  This is from boot until it
blanked the screen and a few seconds more where I regained control.
Comment 8 Robert Dinse 2019-09-12 09:09:45 UTC
      I added dmesg but because the debug info did not show up in dmesg, I've
also attached the contents of kern.log where it did show up.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Thu, 12 Sep 2019, bugzilla-daemon@freedesktop.org wrote:

> Date: Thu, 12 Sep 2019 08:30:52 +0000
> From: bugzilla-daemon@freedesktop.org
> To: nanook@eskimo.com
> Subject: [Bug 111668] screen goes black and loses sync after about 10-15
>     minutes
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
> --- Comment #5 from Lakshmi <lakshminarayana.vudum@intel.com> ---
> (In reply to Robert Dinse from comment #4)
>> On Thu, September 12, 2019 1:04 am, bugzilla-daemon@freedesktop.org wrote:
>>> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>>>
>>>
>>> Jani Nikula <jani.nikula@intel.com> changed:
>>>
>>>
>>> What    |Removed                     |Added
>>> --------------------------------------------------------------------------
>>> --
>>> Summary|i915 enable_rc6=0 not       |screen goes black and loses
>>> |respected                   |sync after about 10-15
>>> |                            |minutes
>>>
>>>
>>> --
>>> You are receiving this mail because:
>>> You reported the bug.
>>
>>      Ok, I reported the enable_rc6 not being respected BECAUSE I found at
>> least three different references online all suggesting setting this to zero
>> would solve my issue AND my BIOS also referred to it as RC6 power management.
>
> Can you please attach the logs as suggested by Jani in Comment 1.
>
> -- 
> You are receiving this mail because:
> You reported the bug.
Comment 9 Robert Dinse 2019-09-12 21:44:06 UTC
Logs are attached above, boot to failure, both dmesg and kern.log, the debug
data only showed up in kern.log.
Comment 10 Lakshmi 2019-09-16 07:22:54 UTC
(In reply to Jani Nikula from comment #1)
> i915.enable_rc6 was a debug and development option, never meant for normal
> use. In most cases where it presumably helped, its effects were so
> widespread that it was near impossible to pinpoint what the actual
> functional impact was that helped.
> 
> The enable_rc6 option is not coming back.
> 
> So please let's rather focus on the bug you experience, i.e. screen going
> black and losing sync.
> 
> Please add drm.debug=14 module parameter, and likely something like
> log_buf_len=4M or similar. 

(In reply to Robert Dinse from comment #9)
> Logs are attached above, boot to failure, both dmesg and kern.log, the debug
> data only showed up in kern.log.

Looks like above parameter were not set. Can you attach the logs with those parameters?
Comment 11 Jani Nikula 2019-09-16 07:37:24 UTC
(In reply to Robert Dinse from comment #3)
>       There were three different references saying that it did but all of
> them
> involved kernel versions 4.16 or earlier.

The internet is full of forums and blogs and whatnot telling you to set all kinds of i915 options for various reasons. Don't do it. Remove these as well:

Sep 12 01:36:26 nanook kernel: [    1.251643] Setting dangerous option enable_guc - tainting kernel
Sep 12 01:36:26 nanook kernel: [    1.252444] Setting dangerous option enable_dc - tainting kernel
Sep 12 01:36:26 nanook kernel: [    1.253254] i915: unknown parameter 'enable_rc6' ignored

Please *do* set the drm.debug=14 option, reboot and redo the logs. We're not getting any debug messages in the logs. Note that it's a drm option, not i915.
Comment 12 Robert Dinse 2019-09-16 14:13:26 UTC
      This is the contents of my i915.conf when I took those logs:

options i915 drm.debug=14 log_buf_len=4M enable_guc=3 enable_dc=0 enable_rc6=0

      Is there a different wa I should be setting those options?

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 16 Sep 2019, bugzilla-daemon@freedesktop.org wrote:

> Date: Mon, 16 Sep 2019 07:22:54 +0000
> From: bugzilla-daemon@freedesktop.org
> To: nanook@eskimo.com
> Subject: [Bug 111668] screen goes black and loses sync after about 10-15
>     minutes
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
> Lakshmi <lakshminarayana.vudum@intel.com> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>      i915 platform|                            |CFL
>
> --- Comment #10 from Lakshmi <lakshminarayana.vudum@intel.com> ---
>
> (In reply to Jani Nikula from comment #1)
>> i915.enable_rc6 was a debug and development option, never meant for normal
>> use. In most cases where it presumably helped, its effects were so
>> widespread that it was near impossible to pinpoint what the actual
>> functional impact was that helped.
>>
>> The enable_rc6 option is not coming back.
>>
>> So please let's rather focus on the bug you experience, i.e. screen going
>> black and losing sync.
>>
>> Please add drm.debug=14 module parameter, and likely something like
>> log_buf_len=4M or similar.
>
> (In reply to Robert Dinse from comment #9)
>> Logs are attached above, boot to failure, both dmesg and kern.log, the debug
>> data only showed up in kern.log.
>
> Looks like above parameter were not set. Can you attach the logs with those
> parameters?
>
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.
> You reported the bug.
Comment 13 Robert Dinse 2019-09-16 14:14:31 UTC
      Ok for clarity do I put these in drm.conf then?

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 16 Sep 2019, bugzilla-daemon@freedesktop.org wrote:

> Date: Mon, 16 Sep 2019 07:37:24 +0000
> From: bugzilla-daemon@freedesktop.org
> To: nanook@eskimo.com
> Subject: [Bug 111668] screen goes black and loses sync after about 10-15
>     minutes
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
> --- Comment #11 from Jani Nikula <jani.nikula@intel.com> ---
> (In reply to Robert Dinse from comment #3)
>>       There were three different references saying that it did but all of
>> them
>> involved kernel versions 4.16 or earlier.
>
> The internet is full of forums and blogs and whatnot telling you to set all
> kinds of i915 options for various reasons. Don't do it. Remove these as well:
>
> Sep 12 01:36:26 nanook kernel: [    1.251643] Setting dangerous option
> enable_guc - tainting kernel
> Sep 12 01:36:26 nanook kernel: [    1.252444] Setting dangerous option
> enable_dc - tainting kernel
> Sep 12 01:36:26 nanook kernel: [    1.253254] i915: unknown parameter
> 'enable_rc6' ignored
>
> Please *do* set the drm.debug=14 option, reboot and redo the logs. We're not
> getting any debug messages in the logs. Note that it's a drm option, not i915.
>
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.
> You reported the bug.
Comment 14 Jani Nikula 2019-09-16 18:03:03 UTC
"options i915" means they'll get applied as module parameters for i915.

debug=14 is a module parameter for drm module.

log_buf_len is a kernel parameter, not a module parameter at all. It needs to be set on the kernel command line.

The conf file you refer to is probably for modprobe. You could start off by removing the options for i915 altogether, and add them to the kernel command line. On the kernel command line module specific parameters are set using modulename.parameter syntax, e.g. drm.debug=14.

You can adjust kernel parameters for each boot at the grub menu, or by editing /etc/default/grub and running update-grub after that. At least on some distros.
Comment 15 Robert Dinse 2019-09-16 18:54:04 UTC
      I apologize but I am apparently still doing something wrong.  I put this
in my /etc/default/grub:

RUB_CMDLINE_LINUX_DEFAULT="quiet splash xdg.force_integrated=1 
modprobe.blacklist=nouveau drm.debug=14 log_buf_len=4M"

      Did update-grub

      Then rebooted, still do not see drm debug in dmesg output, only drm
related messages I get are these:

[    1.403149] fb0: switching to inteldrmfb from EFI VGA
[    1.404305] [drm] Replacing VGA console driver
[    1.405889] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.406317] [drm] Driver supports precise vblank timestamp query.
[    1.408462] [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin 
(v1.4)
[    1.681848] [drm] failed to retrieve link info, disabling eDP
[    1.685817] [drm] HuC: Loaded firmware i915/kbl_huc_ver02_00_1810.bin 
(version 2.0)
[    1.696774] [drm] GuC: Loaded firmware i915/kbl_guc_ver9_39.bin (version 
9.39)
[    1.710299] [drm] Initialized i915 1.6.0 20181204 for 0000:00:02.0 on minor 
0
[    1.751670] fbcon: inteldrmfb (fb0) is primary device
[    1.811512] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device

      Same thing in kern.log.



-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 16 Sep 2019, bugzilla-daemon@freedesktop.org wrote:

> Date: Mon, 16 Sep 2019 18:03:03 +0000
> From: bugzilla-daemon@freedesktop.org
> To: nanook@eskimo.com
> Subject: [Bug 111668] screen goes black and loses sync after about 10-15
>     minutes
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
> --- Comment #14 from Jani Nikula <jani.nikula@intel.com> ---
> "options i915" means they'll get applied as module parameters for i915.
>
> debug=14 is a module parameter for drm module.
>
> log_buf_len is a kernel parameter, not a module parameter at all. It needs to
> be set on the kernel command line.
>
> The conf file you refer to is probably for modprobe. You could start off by
> removing the options for i915 altogether, and add them to the kernel command
> line. On the kernel command line module specific parameters are set using
> modulename.parameter syntax, e.g. drm.debug=14.
>
> You can adjust kernel parameters for each boot at the grub menu, or by editing
> /etc/default/grub and running update-grub after that. At least on some distros.
>
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.
> You reported the bug.
Comment 16 Jani Saarinen 2019-09-16 18:57:39 UTC
How about this on grub config? drm.debug=0x1e
Comment 17 Robert Dinse 2019-09-16 19:13:16 UTC
      Tried that but no additional messages, and:

cat /sys/module/drm/parameters/debug
0

      So for some reason it isn't taking.  I also tried creating a drm.conf
in /etc/modprobe.d and put:

options debug=0xe

      But that also only shows zero when I cat /sys/module/drm/parameters/debug


-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Mon, 16 Sep 2019, bugzilla-daemon@freedesktop.org wrote:

> Date: Mon, 16 Sep 2019 18:57:39 +0000
> From: bugzilla-daemon@freedesktop.org
> To: nanook@eskimo.com
> Subject: [Bug 111668] screen goes black and loses sync after about 10-15
>     minutes
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
> --- Comment #16 from Jani Saarinen <jani.saarinen@intel.com> ---
> How about this on grub config? drm.debug=0x1e
>
> -- 
> You are receiving this mail because:
> You reported the bug.
> You are on the CC list for the bug.
Comment 18 Robert Dinse 2019-09-16 21:51:10 UTC
Created attachment 145385 [details]
This is with debug enabled from boot until when the screen blanks dmesg

cat /proc/cmdline showed that what I put in GRUB_CMDLINE_LINUX_DEFAULT= in etc/default/grub was being totally ignored, even after update-grub.  Instead I had to put the argument in /etc/default/grub.d/50-system-image.cnf GRUB_CMDLINE_LINUX_DEFAULT, there after update-grub and a reboot the argument showed in /proc/cmdline, also cat /sys/module/drm/parameters/debug returns 14 now.
Comment 19 Lakshmi 2019-09-17 07:46:59 UTC
(In reply to Robert Dinse from comment #18)
> Created attachment 145385 [details]
> This is with debug enabled from boot until when the screen blanks dmesg
> 
Is it the external monitor connected with HDMI that goes blank?
How often you can reproduce this issue?

Btw, kernel seems to be 5.0.0-28 which is old. Can you please verify the issue with drmtip (https://cgit.freedesktop.org/drm-tip) and give the feedback. This will tell us if the issue exists with the latest kernel and helps debugging.
Comment 20 Robert Dinse 2019-09-17 22:17:46 UTC
     Ok, I will need to figure out how to build as I have not used this
resource before but I did build a 5.3.0, the latest stable kernel, and the
issue does exist with it.

On Tue, September 17, 2019 12:46 am, bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
>
> Lakshmi <lakshminarayana.vudum@intel.com> changed:
>
>
> What    |Removed                     |Added
> --------------------------------------------------------------------------
> --
> Whiteboard|                            |Triaged
>
>
> --- Comment #19 from Lakshmi <lakshminarayana.vudum@intel.com> ---
> (In reply to Robert Dinse from comment #18)
>
>> Created attachment 145385 [details]
>> This is with debug enabled from boot until when the screen blanks dmesg
>>
>>
> Is it the external monitor connected with HDMI that goes blank?
> How often you can reproduce this issue?
>
>
> Btw, kernel seems to be 5.0.0-28 which is old. Can you please verify the
> issue with drmtip (https://cgit.freedesktop.org/drm-tip) and give the
> feedback. This will tell us if the issue exists with the latest kernel and
> helps debugging.
>
> --
> You are receiving this mail because:
> You reported the bug.
> You are on the CC list for the bug.
Comment 21 Robert Dinse 2019-09-17 23:56:49 UTC
Created attachment 145409 [details]
Dmesg out, Debug enabled, kernel from https://cgit.freedesktop.org/drm-tip

Built and booted kernel 5.3.0+ from drm-tip, update-initramfs complained of all sorts of missing firmware modules so grabbed all the current firmware from   git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git and installed it, still update-initramfs complains of these three missing modules:

: Possible missing firmware /lib/firmware/i915/tgl_dmc_ver2_04.bin for module i915
W: Possible missing firmware /lib/firmware/i915/ehl_huc_ver9_0_0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/ehl_guc_33.0.4.bin for module i915

     Do not know if any of these are relevant to my hardware, an i7-9700k CPU with integrated graphics.

I've confirmed the screen still goes blank after about ten minutes of inactivity of keyboard and mouse.  I've included another dmesg from boot time until screen blank and re-enable with debug enabled.
Comment 22 Robert Dinse 2019-09-18 00:01:04 UTC
Also, you asked about monitor, it is an external monitor connected to the Asus Z-390A motherboard by HDMI cable, the monitor is identified by the system as a Goldstar Company Ltd 22" but it is actually an LG 27", 1920x1080 native resolution.
Comment 23 Lakshmi 2019-09-18 08:44:37 UTC
(In reply to Robert Dinse from comment #21)
> 
> I've confirmed the screen still goes blank after about ten minutes of
> inactivity of keyboard and mouse.  I've included another dmesg from boot
> time until screen blank and re-enable with debug enabled.
How do you recover from this situation?
Comment 24 Robert Dinse 2019-09-18 09:18:07 UTC
      Move mouse or hit any key, very annoying to have to do that 12 times 
during a movie.

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Wed, 18 Sep 2019, bugzilla-daemon@freedesktop.org wrote:

> Date: Wed, 18 Sep 2019 08:44:37 +0000
> From: bugzilla-daemon@freedesktop.org
> To: nanook@eskimo.com
> Subject: [Bug 111668] screen goes black and loses sync after about 10-15
>     minutes
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=111668
>
> Lakshmi <lakshminarayana.vudum@intel.com> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>      i915 features|                            |display/Other
>           Priority|not set                     |high
>         Whiteboard|Triaged                     |Triaged, ReadyForDev
>             Status|NEEDINFO                    |NEW
>           Severity|normal                      |major
>
> --- Comment #23 from Lakshmi <lakshminarayana.vudum@intel.com> ---
> (In reply to Robert Dinse from comment #21)
>>
>> I've confirmed the screen still goes blank after about ten minutes of
>> inactivity of keyboard and mouse.  I've included another dmesg from boot
>> time until screen blank and re-enable with debug enabled.
> How do you recover from this situation?
>
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.
> You reported the bug.
Comment 25 Robert Dinse 2019-09-28 11:15:32 UTC
For what it's worth I observe the same behavior under Windows 10.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.